[Unit]
Description=Starts/stops the submit job processor daemon
After=syslog.target time-sync.target jobmon.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/jobProcessor.py
PIDFile=/var/run/submit/submit-jobprocessor.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITJOBPRO
#Environment=PROCESSORLOGLEVEL=INFO
#Environment=PROCESSORSYSLOGLOCAL=LOCAL3
#Environment=PROCESSORSYSLOGIDENTIFIER=SUBMITJOBPRO
#Environment=PROCESSORPIDFILE=/var/run/submit/submit-jobprocessor.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf

[Install]
WantedBy=multi-user.target

